Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157243 - gcc-4.0.0-4 ICE on ppc building thunderbird
Summary: gcc-4.0.0-4 ICE on ppc building thunderbird
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Blocker
TreeView+ depends on / blocked
 
Reported: 2005-05-09 18:49 UTC by Christopher Aillon
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.0.0-5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-13 16:30:57 UTC


Attachments (Terms of Use)
output from gcc (deleted)
2005-05-09 18:49 UTC, Christopher Aillon
no flags Details


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 21492 None None None Never

Description Christopher Aillon 2005-05-09 18:49:10 UTC
Description of problem:

c++ -o nsMsgCompUtils.o -c -DOSTYPE=\"Linux2.6.9-1\" -DOSARCH=\"Linux\" 
-I../../../dist/include/xpcom -I../../../dist/include/xpcom_obsolete
-I../../../d ist/include/string -I../../../dist/include/dom
-I../../../dist/include/js -I../../../dist/include/editor
-I../../../dist/include/uriloader -I../../../dist /include/msgbase
-I../../../dist/include/mailnews -I../../../dist/include/necko
-I../../../dist/include/mime -I../../../dist/include/pref -I../../../dist/
include/intl -I../../../dist/include/uconv -I../../../dist/include/locale
-I../../../dist/include/unicharutil -I../../../dist/include/content -I../../../d
ist/include/msgbaseutil -I../../../dist/include/msgdb
-I../../../dist/include/rdf -I../../../dist/include/appshell
-I../../../dist/include/msgimap -I../.. /../dist/include/msgnews
-I../../../dist/include/docshell -I../../../dist/include/webshell
-I../../../dist/include/addrbook -I../../../dist/include/widget 
-I../../../dist/include/htmlparser -I../../../dist/include/txmgr
-I../../../dist/include/caps -I../../../dist/include/exthandler
-I../../../dist/include/ nkcache -I../../../dist/include/mimetype
-I../../../dist/include/windowwatcher -I../../../dist/include/gfx
-I../../../dist/include/msgcompose -I../../../d ist/include
-I/usr/src/build/564273-ppc/BUILD/mozilla/dist/include/nspr    
-I/usr/X11R6/include   -fPIC  -I/usr/X11R6/include -fno-rtti -fno-exceptions -
Wall -Wconversion -Wpointer-arith -Wcast-align -Woverloaded-virtual -Wsynth
-Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wno-long-long -pedantic -Os -g -
pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -m32 -fsigned-char -fshort-wchar
-pthread -pipe  -DNDEBUG -DTRIMMED -Os -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexcep
tions -m32 -fsigned-char  -I/usr/X11R6/include -DMOZILLA_CLIENT -include
../../../mozilla-config.h -Wp,-MD,.deps/nsMsgCompUtils.pp nsMsgCompUtils.cpp
nsMsgCompUtils.cpp: In function âchar* mime_generate_headers(nsMsgCompFields*,
const char*, nsMsgDeliverMode, nsIPrompt*, PRInt32*)â:
nsMsgCompUtils.cpp:768: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccQbyWZv.out file, please attach this to
your bugreport.
gmake[3]: *** [nsMsgCompUtils.o] Error 1
gmake[3]: Leaving directory
`/usr/src/build/564273-ppc/BUILD/mozilla/mailnews/compose/src'
gmake[2]: *** [libs] Error 2
gmake[2]: Leaving directory
`/usr/src/build/564273-ppc/BUILD/mozilla/mailnews/compose'
gmake[1]: *** [libs] Error 2
gmake[1]: Leaving directory `/usr/src/build/564273-ppc/BUILD/mozilla/mailnews'
make: *** [all] Error 2

Comment 1 Christopher Aillon 2005-05-09 18:49:12 UTC
Created attachment 114176 [details]
output from gcc

Comment 3 Jakub Jelinek 2005-05-13 16:30:57 UTC
Should be fixed in gcc-4.0.0-5.


Note You need to log in before you can comment on or make changes to this bug.